<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core" 
                template="/WEB-INF/templates/LoggedTemplate.xhtml">

    <ui:define name="contentPart">

        <h:form id="formAdministrarISRSub">

            <h:outputText 
                value="Nómina -> Configuración -> Administrador tablas ISR/Subsidio" 
                style="font-weight: bold"/>

            <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>            
            <h:outputText value="Administrador tablas ISR/Subsidio" />
            <br/><br/>

            <h:panelGrid 
                columns="3"                 
                style="margin-bottom:10px;
                padding-left: 10%">

                <p:outputLabel 
                    for="sorSeleccionarTabla" 
                    value="Tabla a administrar: " />

                <p:selectOneRadio 
                    id="sorSeleccionarTabla" 
                    value="#{administrarISRSubMB.strSeleccionTabla}"
                    onchange="darClic()">

                    <f:selectItem 
                        itemLabel="ISR Mensual" 
                        itemValue="ISRMensual" />

                    <f:selectItem 
                        itemLabel="ISR Anual" 
                        itemValue="ISRAnual" />

                    <f:selectItem 
                        itemLabel="Subsidio Mensual" 
                        itemValue="SubsidioMensual" />

                    <p:ajax 
                        event="change"
                        update="pnTablas"
                        process="@form"
                        listener="#{administrarISRSubMB.buscarTablaSeleccionada()}"/>
                </p:selectOneRadio>           
            </h:panelGrid>  
            <h:panelGroup id="pnTablas">
                <h:panelGrid                
                    columns="1"
                    columnClasses="centered7"
                    cellpadding="10"
                    style="width: 96%;
                    padding-left:  15px;">
                    <p:dataTable 
                        id="tableISRMensual" 
                        var="ISRMensualTable"                           
                        paginator="true" 
                        rows="15"
                        rowsPerPageTemplate="5,10,15"
                        rowKey="#{ISRMensualTable.intIdISRMensual}"
                        value="#{administrarISRSubMB.lstRhNomnCatISRMensualTO}"
                        rendered="#{administrarISRSubMB.blVisualizarTablaISRMensual}"
                        paginatorTemplate="{CurrentPageReport} {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink}"                
                        currentPageReportTemplate="Mostrando registros del {startRecord} al {endRecord} de  {totalRecords} Nóminas."
                        paginatorPosition="bottom" 
                        scrollable="true" 
                        scrollWidth="99%"
                        style="font-size: small"
                        emptyMessage="#{msg['inai.medios.common.noRecordsText']}">    

                        <f:facet name="header">
                            Tabla ISR Mensual

                            <p:commandButton 
                                id="btnNuevoISRMensual"
                                process="@form"
                                update="formAdministrarISRSub frNuevoISRMensual"                           
                                title="Nuevo" 
                                actionListener="#{administrarISRSubMB.limpiarVariablesNuevos()}"                                                                                                                           
                                immediate="true"   
                                styleClass="botonpequeno"
                                icon="ui-icon-plusthick"
                                style="display:inline; float:right; font-size:x-small;"
                                onclick="PF('dgNuevoISRMensual').show();">

                                <f:setPropertyActionListener
                                    value="#{ISRMensualTable}"
                                    target="#{administrarISRSubMB.rhNomnCatISRMensualTOSelected}" />                                
                            </p:commandButton>

                        </f:facet>                

                        <p:column 
                            headerText="Límite Inferior" 
                            width="15%"
                            sortBy="#{ISRMensualTable.dbLimiteInferior}"
                            filterMatchMode="contains"                                        
                            filterBy="#{ISRMensualTable.dbLimiteInferior}"                    
                            style="font-size:small;" >                          

                            <h:outputText value="#{ISRMensualTable.dbLimiteInferior}">
                                <f:convertNumber pattern="#,###,###,###.##" />
                            </h:outputText>
                        </p:column>

                        <p:column                     
                            headerText="Límite Superior"
                            width="15%"
                            sortBy="#{ISRMensualTable.dbLimiteSuperior}"
                            filterMatchMode="contains"                                        
                            filterBy="#{ISRMensualTable.dbLimiteSuperior}"                    
                            style="font-size:small;" >                          

                            <h:outputText value="#{ISRMensualTable.dbLimiteSuperior}" >
                                <f:convertNumber pattern="#,###,###,###.##" currencySymbol="$" />
                            </h:outputText>
                        </p:column>

                        <p:column 
                            headerText="Porcentaje Excd Lim. Inf." 
                            width="13%"
                            sortBy="#{ISRMensualTable.dbPorcentajeExcdLimInf}"
                            filterMatchMode="contains"                                        
                            filterBy="#{ISRMensualTable.dbPorcentajeExcdLimInf}"                    
                            style="font-size:small;" >                          

                            <h:outputText value="#{ISRMensualTable.dbPorcentajeExcdLimInf}" />
                        </p:column>

                        <p:column 
                            headerText="Cuota Fija" 
                            width="13%"
                            sortBy="#{ISRMensualTable.dbCuotaFija}"
                            filterMatchMode="contains"                                        
                            filterBy="#{ISRMensualTable.dbCuotaFija}"                    
                            style="font-size:small;" >                          

                            <h:outputText value="#{ISRMensualTable.dbCuotaFija}" >
                                <f:convertNumber pattern="#,###,###,###.##" />
                            </h:outputText>
                        </p:column>

                        <p:column 
                            headerText="Fecha de Inicio" 
                            width="12%"
                            style="font-size:small;" >                          

                            <h:outputText value="#{ISRMensualTable.dtFechaInicio}">
                                <f:convertDateTime 
                                    type="date" 
                                    pattern="dd-MM-yyyy"/>
                            </h:outputText>
                        </p:column> 

                        <p:column 
                            headerText="Fecha Fin" 
                            width="12%"
                            style="font-size:small;" >                          

                            <h:outputText value="#{ISRMensualTable.dtFechaFin}">
                                <f:convertDateTime 
                                    type="date" 
                                    pattern="dd-MM-yyyy"/>                            
                            </h:outputText>
                        </p:column>

                        <p:column  
                            headerText="Acciones"
                            style="font-size:small;"
                            width="10%">                     
                            <p:commandButton  
                                id="btnEditarISRMensual"
                                onclick="PF('dgEditISRMensual').show();"
                                update="frEditISRMensual"                        
                                title="Editar"
                                value="Editar"
                                style="display:inline;  width: 80px;                                                           
                                font-size:x-small;">

                                <f:setPropertyActionListener
                                    value="#{ISRMensualTable}"
                                    target="#{administrarISRSubMB.rhNomnCatISRMensualTOSelected}" />
                            </p:commandButton>
                            <div style="width:5px;
                                 height:auto;
                                 display:inline-block;"/>
                            <p:commandButton                                                
                                update="tableISRMensual"                            
                                title="Caducar"
                                actionListener="#{administrarISRSubMB.caducarISRMensual(ISRMensualTable)}"
                                value="Caducar"
                                style="display:inline;   width: 80px;                                                          
                                font-size:x-small;">

                                <p:confirm 
                                    header="Confirmación para caducar el ISR Mensual." 
                                    message="¿Está seguro de CADUCAR el ISR MENSUAL?" 
                                    icon="ui-icon-alert"/>                        
                            </p:commandButton>

                            <p:confirmDialog 
                                global="true" 
                                showEffect="fade" 
                                hideEffect="fade">
                                <p:commandButton 
                                    value="Si" 
                                    type="button" 
                                    styleClass="ui-confirmdialog-yes" 
                                    icon="ui-icon-check"/>
                                <p:commandButton 
                                    value="No" 
                                    type="button" 
                                    styleClass="ui-confirmdialog-no" 
                                    icon="ui-icon-close"/>
                            </p:confirmDialog>                     
                        </p:column>                                                
                    </p:dataTable>

                    <p:dataTable 
                        id="tableISRAnual" 
                        var="ISRAnualTable"                           
                        paginator="true" 
                        rows="15"
                        rowsPerPageTemplate="5,10,15"
                        rowKey="#{ISRAnualTable.intIdISRAnual}"
                        value="#{administrarISRSubMB.lstRhNomnCatISRAnualTO}"
                        rendered="#{administrarISRSubMB.blVisualizarTablaISRAnual}"
                        paginatorTemplate="{CurrentPageReport} {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink}"                
                        currentPageReportTemplate="Mostrando registros del {startRecord} al {endRecord} de  {totalRecords} Nóminas."
                        paginatorPosition="bottom" 
                        scrollable="true" 
                        scrollWidth="99%"
                        style="font-size: small"
                        emptyMessage="#{msg['inai.medios.common.noRecordsText']}">    

                        <f:facet name="header">
                            Tabla ISR Anual

                            <p:commandButton 
                                id="btnNuevoISRAnual"
                                process="@form"
                                update="formAdministrarISRSub frNuevoISRAnual"                           
                                title="Nuevo" 
                                actionListener="#{administrarISRSubMB.limpiarVariablesNuevos()}"                                                                                                                             
                                immediate="true"  
                                styleClass="botonpequeno"
                                icon="ui-icon-plusthick"
                                style="display:inline; float:right; font-size:x-small;"
                                onclick="PF('dgNuevoISRAnual').show();">

                                <f:setPropertyActionListener
                                    value="#{ISRAnualTable}"
                                    target="#{administrarISRSubMB.rhNomnCatISRAnualTOSelected}" />
                            </p:commandButton>   
                        </f:facet>                  

                        <p:column 
                            headerText="Límite Inferior" 
                            width="15%"
                            sortBy="#{ISRAnualTable.dbLimiteInferior}"
                            filterMatchMode="contains"                                        
                            filterBy="#{ISRAnualTable.dbLimiteInferior}"                    
                            style="font-size:small;" >                          

                            <h:outputText value="#{ISRAnualTable.dbLimiteInferior}" >
                                <f:convertNumber pattern="#,###,###,###.##" />
                            </h:outputText>
                        </p:column>

                        <p:column 
                            headerText="Límite Superior"
                            width="15%"
                            sortBy="#{ISRAnualTable.dbLimiteSuperior}"
                            filterMatchMode="contains"                                        
                            filterBy="#{ISRAnualTable.dbLimiteSuperior}"                    
                            style="font-size:small;" >                          

                            <h:outputText value="#{ISRAnualTable.dbLimiteSuperior}" >
                                <f:convertNumber pattern="#,###,###,###.##" />
                            </h:outputText>
                        </p:column>

                        <p:column 
                            headerText="Porcentaje Excd Lim. Inf." 
                            width="13%"
                            sortBy="#{ISRAnualTable.dbPorcentajeExcdLimInf}"
                            filterMatchMode="contains"                                        
                            filterBy="#{ISRAnualTable.dbPorcentajeExcdLimInf}"                    
                            style="font-size:small;" >                          

                            <h:outputText value="#{ISRAnualTable.dbPorcentajeExcdLimInf}" />
                        </p:column>

                        <p:column 
                            headerText="Cuota Fija" 
                            width="13%"
                            sortBy="#{ISRAnualTable.dbCuotaFija}"
                            filterMatchMode="contains"                                        
                            filterBy="#{ISRAnualTable.dbCuotaFija}"                     
                            style="font-size:small;">                          

                            <h:outputText value="#{ISRAnualTable.dbCuotaFija}" >
                                <f:convertNumber pattern="#,###,###,###.##" />
                            </h:outputText>
                        </p:column>

                        <p:column 
                            headerText="Fecha de Inicio" 
                            width="12%"
                            style="font-size:small;" >                          

                            <h:outputText value="#{ISRAnualTable.dtFechaInicio}">
                                <f:convertDateTime 
                                    type="date" 
                                    pattern="dd-MM-yyyy"/>                            
                            </h:outputText>
                        </p:column> 

                        <p:column 
                            headerText="Fecha Fin" 
                            width="12%"
                            style="font-size:small; 
                            text-align: center;" >                          

                            <h:outputText value="#{ISRAnualTable.dtFechaFin}">
                                <f:convertDateTime 
                                    type="date" 
                                    pattern="dd-MM-yyyy"/>                            
                            </h:outputText>
                        </p:column> 

                        <p:column  
                            headerText="Acciones"
                            style="font-size:small;"
                            width="10%">

                            <p:commandButton             
                                id="btnEditarISRAnual"
                                onclick="PF('dgEditISRAnual').show();"
                                update="frEditISRAnual"                        
                                title="Editar"
                                value="Editar"
                                style="display:inline;width: 80px;                                                            
                                font-size:x-small;">

                                <f:setPropertyActionListener
                                    value="#{ISRAnualTable}"
                                    target="#{administrarISRSubMB.rhNomnCatISRAnualTOSelected}" />
                            </p:commandButton>
                            <div style="width:5px;
                                 height:auto;
                                 display:inline-block;"/>
                            <p:commandButton                                                
                                update="tableISRAnual"
                                title="Caducar"
                                actionListener="#{administrarISRSubMB.caducarISRAnual(ISRAnualTable)}"
                                value="Caducar"
                                style="display:inline; width: 80px;                                                            
                                font-size:x-small;">

                                <p:confirm 
                                    header="Confirmación para caducar el ISR Anual." 
                                    message="¿Está seguro de CADUCAR el ISR ANUAL?" 
                                    icon="ui-icon-alert"/>                        
                            </p:commandButton>

                            <p:confirmDialog 
                                global="true" 
                                showEffect="fade" 
                                hideEffect="fade">
                                <p:commandButton 
                                    value="Si" 
                                    type="button" 
                                    styleClass="ui-confirmdialog-yes" 
                                    icon="ui-icon-check"/>
                                <p:commandButton 
                                    value="No" 
                                    type="button" 
                                    styleClass="ui-confirmdialog-no" 
                                    icon="ui-icon-close"/>
                            </p:confirmDialog>                     
                        </p:column>                    
                    </p:dataTable> 

                    <p:dataTable 
                        id="tableSubsidioMensual" 
                        var="SubsidioMensualTable"                           
                        paginator="true" 
                        rows="15"
                        rowsPerPageTemplate="5,10,15"
                        rowKey="#{SubsidioMensualTable.intIdSubsidioEmpMens}"
                        value="#{administrarISRSubMB.lstRhNomnCatSubsidioEmpMensTO}"
                        rendered="#{administrarISRSubMB.blVisualizarTablaSubsidioMensual}"
                        paginatorTemplate="{CurrentPageReport} {RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink}"                
                        currentPageReportTemplate="Mostrando registros del {startRecord} al {endRecord} de  {totalRecords} Nóminas."
                        paginatorPosition="bottom" 
                        scrollable="true" 
                        scrollWidth="99%"
                        style="font-size: small"
                        emptyMessage="#{msg['inai.medios.common.noRecordsText']}">    

                        <f:facet name="header">
                            Tabla Subsidio Mensual
                            <p:commandButton 
                                id="btnNuevoSubsidioMensual"
                                process="@form"
                                update="formAdministrarISRSub frNuevoSubsidioMensual"                          
                                title="Nuevo" 
                                actionListener="#{administrarISRSubMB.limpiarVariablesNuevos()}"                                                             
                                immediate="true"   
                                styleClass="botonpequeno"
                                icon="ui-icon-plusthick"
                                style="display:inline; float:right; font-size:x-small;"
                                onclick="PF('dgNuevoSubsidioMensual').show();">

                                <f:setPropertyActionListener
                                    value="#{SubsidioMensualTable}"
                                    target="#{administrarISRSubMB.rhNomnCatSubsidioEmpMensTOSelected}" />                                
                            </p:commandButton>

                        </f:facet>                 

                        <p:column 
                            headerText="Límite Inferior" 
                            width="18%"
                            sortBy="#{SubsidioMensualTable.dbLimiteInferior}"
                            filterMatchMode="contains"                                        
                            filterBy="#{SubsidioMensualTable.dbLimiteInferior}"                    
                            style="font-size:small;" >                          

                            <h:outputText value="#{SubsidioMensualTable.dbLimiteInferior}" >
                                <f:convertNumber pattern="#,###,###,###.##" />
                            </h:outputText>
                        </p:column>

                        <p:column 
                            headerText="Límite Superior"
                            width="18%"
                            sortBy="#{SubsidioMensualTable.dbLimiteSuperior}"
                            filterMatchMode="contains"                                        
                            filterBy="#{SubsidioMensualTable.dbLimiteSuperior}"                    
                            style="font-size:small;" >                          

                            <h:outputText value="#{SubsidioMensualTable.dbLimiteSuperior}" >
                                <f:convertNumber pattern="#,###,###,###.##" />
                            </h:outputText>
                        </p:column>

                        <p:column 
                            headerText="Cuota Fija Subsidio" 
                            width="15%"
                            sortBy="#{SubsidioMensualTable.dbCuotaFija}"
                            filterMatchMode="contains"                                        
                            filterBy="#{SubsidioMensualTable.dbCuotaFija}"                    
                            style="font-size:small;" >                          

                            <h:outputText value="#{SubsidioMensualTable.dbCuotaFija}" >
                                <f:convertNumber pattern="#,###,###,###.##" />
                            </h:outputText>
                        </p:column>

                        <p:column 
                            headerText="Fecha de Inicio" 
                            width="14%"
                            style="font-size:small;" >                          

                            <h:outputText value="#{SubsidioMensualTable.dtFechaInicio}">
                                <f:convertDateTime 
                                    type="date" 
                                    pattern="dd-MM-yyyy"/>                            
                            </h:outputText>
                        </p:column> 

                        <p:column 
                            headerText="Fecha Fin" 
                            width="14%"
                            style="font-size:small;" >                          

                            <h:outputText value="#{SubsidioMensualTable.dtFechaFin}">
                                <f:convertDateTime 
                                    type="date" 
                                    pattern="dd-MM-yyyy"/>                            
                            </h:outputText>
                        </p:column>    

                        <p:column  
                            headerText="Acciones"
                            style="font-size:small;"
                            width="10%">

                            <p:commandButton   
                                id="btnEditarSubsidioAnual"
                                onclick="PF('dgEditSubsidioMensual').show();"
                                update="frEditSubsidioMensual"                        
                                title="Editar"
                                value="Editar"
                                style="display:inline; width: 80px;                                                           
                                font-size:x-small;">

                                <f:setPropertyActionListener
                                    value="#{SubsidioMensualTable}"
                                    target="#{administrarISRSubMB.rhNomnCatSubsidioEmpMensTOSelected}" />
                            </p:commandButton>
                            <div style="width:5px;
                                 height:auto;
                                 display:inline-block;"/>

                            <p:commandButton                                                
                                update="tableSubsidioMensual"
                                title="Caducar"
                                actionListener="#{administrarISRSubMB.caducarSubsidioMensual(SubsidioMensualTable)}"
                                value="Caducar"
                                style="display:inline;  width: 80px;                                                            
                                font-size:x-small;">

                                <p:confirm 
                                    header="Confirmación para caducar el Subsidio Mensual." 
                                    message="¿Está seguro de CADUCAR el SUBSIDIO MENSUAL?" 
                                    icon="ui-icon-alert"/>                        
                            </p:commandButton>

                            <p:confirmDialog 
                                global="true" 
                                showEffect="fade" 
                                hideEffect="fade">
                                <p:commandButton 
                                    value="Si" 
                                    type="button" 
                                    styleClass="ui-confirmdialog-yes" 
                                    icon="ui-icon-check"/>
                                <p:commandButton 
                                    value="No" 
                                    type="button" 
                                    styleClass="ui-confirmdialog-no" 
                                    icon="ui-icon-close"/>
                            </p:confirmDialog>                     
                        </p:column>                     
                    </p:dataTable> 
                </h:panelGrid>                                        
            </h:panelGroup>
        </h:form>

        <p:dialog 
            widgetVar="dgNuevoISRMensual" 
            resizable="false"  
            modal="true" 
            draggable="false"              
            header="Agregar ISR Mensual." 
            appendTo="@(body)"
            closable="false"> 

            <p:outputPanel>                
                <h:form id="frNuevoISRMensual">   

                    <h:panelGrid columns="2" columnClasses="centered5,centered6" cellpadding="5">
                        <p:column>
                            <h:outputLabel 
                                for="inLimiteInferior" 
                                style="font-weight: bold"                                   
                                value="#{translatedMessage['restricted.nomina.admISRSubsidio.limiteInferior']}: *" />
                        </p:column>
                        <p:column>
                            <p:inputNumber 
                                id="inLimiteInferior" 
                                value="#{administrarISRSubMB.rhNomnCatISRMensualTONuevo.dbLimiteInferior}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                symbol="$"                                            
                                minValue="0.00" 
                                maxValue="9999999999.99" />                                        
                        </p:column>
                        <p:column>
                            <h:outputLabel 
                                for="inLimiteSuperior" 
                                style="font-weight: bold"                                   
                                value="#{translatedMessage['restricted.nomina.admISRSubsidio.limiteSuperior']}: *"/>
                        </p:column>
                        <p:column>
                            <p:inputNumber 
                                id="inLimiteSuperior" 
                                value="#{administrarISRSubMB.rhNomnCatISRMensualTONuevo.dbLimiteSuperior}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                symbol="$"                                            
                                minValue="0.00" 
                                maxValue="9999999999.99" />                                        
                        </p:column>
                        <p:column>
                            <h:outputLabel 
                                for="inPorcentajeExLimInf" 
                                style="font-weight: bold"                                   
                                value="#{translatedMessage['restricted.nomina.admISRSubsidio.porcentajeExtLimInf']}: *"/>
                        </p:column>
                        <p:column>
                            <p:inputNumber 
                                id="inPorcentajeExLimInf" 
                                value="#{administrarISRSubMB.rhNomnCatISRMensualTONuevo.dbPorcentajeExcdLimInf}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                symbol="%"                                            
                                minValue="0.00" 
                                maxValue="99.99" />                                        
                        </p:column>
                        <p:column>
                            <h:outputLabel 
                                for="inCuotaFija" 
                                style="font-weight: bold"                                   
                                value="#{translatedMessage['restricted.nomina.admISRSubsidio.cuotaFija']}: *"/>
                        </p:column>
                        <p:column>
                            <p:inputNumber 
                                id="inCuotaFija" 
                                value="#{administrarISRSubMB.rhNomnCatISRMensualTONuevo.dbCuotaFija}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                symbol="$"                                            
                                minValue="0.00" 
                                maxValue="9999999999.99" /> 
                        </p:column>
                        
                         <p:column>
                            <h:outputLabel 
                                for="inFechaInicioM" 
                                style="font-weight: bold"                                   
                                value="Fecha Inicio: *"/>
                        </p:column>
                        <p:column>
                            <p:calendar
                                id="inFechaInicioM" 
                                value="#{administrarISRSubMB.rhNomnCatISRMensualTONuevo.dtFechaInicio}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                /> 
                        </p:column>
                        
                        <p:column>
                            <h:outputLabel 
                                for="inFechaFinM" 
                                style="font-weight: bold"                                   
                                value="Fecha Fin: *"/>
                        </p:column>
                        <p:column>
                            <p:calendar
                                id="inFechaFinM" 
                                value="#{administrarISRSubMB.rhNomnCatISRMensualTONuevo.dtFechaFin}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                /> 
                        </p:column>
                        
                    </h:panelGrid>

                    <br></br>

                    <div align="right">

                        <p:commandButton 
                            id="btnAgregarISRMensual"                                         
                            update="formAdministrarISRSub frNuevoISRMensual"
                            process="@form"                                        
                            actionListener="#{administrarISRSubMB.guardarISRMensual()}"
                            value="Agregar ISR Mensual"
                            style="font-size:70%;">
                             <p:confirm 
                                header="Confirmación para Agregar  ISR Mensual." 
                                message="¿Está seguro de AGREGAR el ISR MENSUAL?" 
                                icon="ui-icon-alert"/>                                             
                        </p:commandButton>

                        <p:confirmDialog 
                            global="true" 
                            showEffect="fade" 
                            hideEffect="fade">
                            <p:commandButton 
                                value="Si" 
                                type="button" 
                                styleClass="ui-confirmdialog-yes" 
                                icon="ui-icon-check"/>
                            <p:commandButton 
                                value="No" 
                                type="button" 
                                styleClass="ui-confirmdialog-no" 
                                icon="ui-icon-close"/> 
                        </p:confirmDialog>
                        <div style="width:5px;
                             height:auto;
                             display:inline-block;"/>
                        <p:commandButton  
                            id="btnCerrar"  
                            value="Cerrar"                                          
                            onclick="PF('dgNuevoISRMensual').hide();"
                            update="@(form)"                                            
                            style="font-size:70%;"/>                                                                                                              
                    </div>
                </h:form>                
            </p:outputPanel>            
        </p:dialog>    

        <p:dialog 
            widgetVar="dgNuevoISRAnual" 
            resizable="false"  
            modal="true" 
            draggable="false"  
            header="Agregar ISR Anual." 
            appendTo="@(body)"
            closable="false"> 

            <p:outputPanel>                
                <h:form id="frNuevoISRAnual">   
                    <h:panelGrid columns="2" columnClasses="centered5,centered6" cellpadding="5">
                        <p:column>  
                            <h:outputLabel 
                                for="inLimiteInferiorAn" 
                                style="font-size: 100%;font-weight: bold"                                   
                                value="#{translatedMessage['restricted.nomina.admISRSubsidio.limiteInferior']}: *"/>
                        </p:column>
                        <p:column>
                            <p:inputNumber 
                                id="inLimiteInferiorAn" 
                                value="#{administrarISRSubMB.rhNomnCatISRAnualTONuevo.dbLimiteInferior}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                symbol="$"                                            
                                minValue="0.00" 
                                maxValue="9999999999.99" />                                        
                        </p:column>
                        <p:column>
                            <h:outputLabel 
                                for="inLimiteSuperiorAn" 
                                style="font-size: 100%;font-weight: bold"                                   
                                value="#{translatedMessage['restricted.nomina.admISRSubsidio.limiteSuperior']}: *"/>
                        </p:column>
                        <p:column>
                            <p:inputNumber 
                                id="inLimiteSuperiorAn" 
                                value="#{administrarISRSubMB.rhNomnCatISRAnualTONuevo.dbLimiteSuperior}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                symbol="$"                                            
                                minValue="0.00" 
                                maxValue="9999999999.99" />
                        </p:column>
                        <p:column>
                            <h:outputLabel 
                                for="inPorcentajeExLimInfAn" 
                                style="font-size: 100%;font-weight: bold"                                   
                                value="#{translatedMessage['restricted.nomina.admISRSubsidio.porcentajeExtLimInf']}: *"/>
                        </p:column>
                        <p:column>
                            <p:inputNumber 
                                id="inPorcentajeExLimInfAn" 
                                value="#{administrarISRSubMB.rhNomnCatISRAnualTONuevo.dbPorcentajeExcdLimInf}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                symbol="%"                                            
                                minValue="0.00" 
                                maxValue="99.99" />                                        
                        </p:column>
                        <p:column>
                            <h:outputLabel 
                                for="inCuotaFijaAn" 
                                style="font-size: 100%;font-weight: bold"                                   
                                value="#{translatedMessage['restricted.nomina.admISRSubsidio.cuotaFija']}: *"/>
                        </p:column>
                        <p:column>
                            <p:inputNumber 
                                id="inCuotaFijaAn" 
                                value="#{administrarISRSubMB.rhNomnCatISRAnualTONuevo.dbCuotaFija}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                symbol="$"                                            
                                minValue="0.00" 
                                maxValue="9999999999.99" />
                        </p:column>
                        
                             <p:column>
                            <h:outputLabel 
                                for="inFechaInicioA" 
                                style="font-weight: bold"                                   
                                value="Fecha Inicio: *"/>
                        </p:column>
                        <p:column>
                            <p:calendar
                                id="inFechaInicioA" 
                                value="#{administrarISRSubMB.rhNomnCatISRAnualTONuevo.dtFechaInicio}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                /> 
                        </p:column>
                        
                        <p:column>
                            <h:outputLabel 
                                for="inFechaFinA" 
                                style="font-weight: bold"                                   
                                value="Fecha Fin: *"/>
                        </p:column>
                        <p:column>
                            <p:calendar
                                id="inFechaFinA" 
                                value="#{administrarISRSubMB.rhNomnCatISRAnualTONuevo.dtFechaFin}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                /> 
                        </p:column>
                        
                    </h:panelGrid>
                    <br></br>

                    <div align="right">

                        <p:commandButton 
                            id="btnAgregarISRAnual"                                         
                            update="formAdministrarISRSub frNuevoISRAnual"
                            process="@form"                                        
                            actionListener="#{administrarISRSubMB.guardarISRAnual()}"
                            value="Agregar ISR Anual"
                            style="display:inline;                                                 
                            font-size:small;">
                              <p:confirm 
                                header="Confirmación para Agregar el ISR Anual." 
                                message="¿Está seguro de AGREGAR el ISR ANUAL?" 
                                icon="ui-icon-alert"/>                                             
                        </p:commandButton>

                        <p:confirmDialog 
                            global="true" 
                            showEffect="fade" 
                            hideEffect="fade">
                            <p:commandButton 
                                value="Si" 
                                type="button" 
                                styleClass="ui-confirmdialog-yes" 
                                icon="ui-icon-check"/>
                            <p:commandButton 
                                value="No" 
                                type="button" 
                                styleClass="ui-confirmdialog-no" 
                                icon="ui-icon-close"/> 
                        </p:confirmDialog>
                        <div style="width:5px;
                             height:auto;
                             display:inline-block;"/>
                        <p:commandButton  
                            id="btnCerrar"  
                            value="Cerrar"                                          
                            onclick="PF('dgNuevoISRAnual').hide();"
                            update="@(form)"                                            
                            style="display:inline;                                                 
                            font-size:small;"/>                                                                              

                    </div>
                </h:form>                
            </p:outputPanel>            
        </p:dialog>            

        <p:dialog 
            widgetVar="dgNuevoSubsidioMensual" 
            resizable="false"  
            modal="true" 
            draggable="false"             
            header="Agregar Subsidio Mensual." 
            appendTo="@(body)"
            closable="false"> 

            <p:outputPanel>                
                <h:form id="frNuevoSubsidioMensual">   
                    <h:panelGrid columns="2" columnClasses="centered5,centered6" cellpadding="5">

                        <p:column>
                            <h:outputLabel 
                                for="inLimiteInferiorSub" 
                                style="font-weight: bold;"                                   
                                value="#{translatedMessage['restricted.nomina.admISRSubsidio.limiteInferior']}: *"/>
                        </p:column>
                        <p:column>
                            <p:inputNumber 
                                id="inLimiteInferiorSub" 
                                value="#{administrarISRSubMB.rhNomnCatSubsidioEmpMensTONuevo.dbLimiteInferior}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                symbol="$"                                            
                                minValue="0.00" 
                                maxValue="9999999999.99" />                                        
                        </p:column>
                        <p:column>
                            <h:outputLabel 
                                for="inLimiteSuperiorSub" 
                                style="font-weight: bold"                                   
                                value="#{translatedMessage['restricted.nomina.admISRSubsidio.limiteSuperior']}: *"/>
                        </p:column>
                        <p:column>
                            <p:inputNumber 
                                id="inLimiteSuperiorSub" 
                                value="#{administrarISRSubMB.rhNomnCatSubsidioEmpMensTONuevo.dbLimiteSuperior}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                symbol="$"                                            
                                minValue="0.00" 
                                maxValue="9999999999.99" />
                        </p:column>
                        <p:column>
                            <h:outputLabel 
                                for="inCuotaFijaSub" 
                                style="font-weight: bold"                                   
                                value="#{translatedMessage['restricted.nomina.admISRSubsidio.cuotaFijaSubsidio']}: *"/>
                        </p:column>
                        <p:column>
                            <p:inputNumber 
                                id="inCuotaFijaSub" 
                                value="#{administrarISRSubMB.rhNomnCatSubsidioEmpMensTONuevo.dbCuotaFija}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                symbol="$"                                            
                                minValue="0.00" 
                                maxValue="9999999999.99" />
                        </p:column>
                        
                             <p:column>
                            <h:outputLabel 
                                for="inFechaInicioS" 
                                style="font-weight: bold"                                   
                                value="Fecha Inicio: *"/>
                        </p:column>
                        <p:column>
                            <p:calendar
                                id="inFechaInicioS" 
                                value="#{administrarISRSubMB.rhNomnCatSubsidioEmpMensTONuevo.dtFechaInicio}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                /> 
                        </p:column>
                        
                        <p:column>
                            <h:outputLabel 
                                for="inFechaFinS" 
                                style="font-weight: bold"                                   
                                value="Fecha Fin: *"/>
                        </p:column>
                        <p:column>
                            <p:calendar
                                id="inFechaFinS" 
                                value="#{administrarISRSubMB.rhNomnCatSubsidioEmpMensTONuevo.dtFechaFin}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                /> 
                        </p:column>
                                             
                    </h:panelGrid>

                    <br></br>

                    <div align="right">

                        <p:commandButton 
                            id="btnAgregarSubsidioMensual"                                         
                            update="formAdministrarISRSub frNuevoSubsidioMensual"
                            process="@form"                                        
                            actionListener="#{administrarISRSubMB.guardarSubsidioMensual()}"
                            value="Agregar Subsidio Mensual"
                            style="display:inline;                                                 
                            font-size:small;">
                              <p:confirm 
                                header="Confirmación para Agregar el Subsidio Mensual." 
                                message="¿Está seguro de AGREGAR el SUBSIDIO MENSUAL?" 
                                icon="ui-icon-alert"/>                                             
                        </p:commandButton>

                        <p:confirmDialog 
                            global="true" 
                            showEffect="fade" 
                            hideEffect="fade">
                            <p:commandButton 
                                value="Si" 
                                type="button" 
                                styleClass="ui-confirmdialog-yes" 
                                icon="ui-icon-check"/>
                            <p:commandButton 
                                value="No" 
                                type="button" 
                                styleClass="ui-confirmdialog-no" 
                                icon="ui-icon-close"/> 
                        </p:confirmDialog>
                        <div style="width:5px;
                             height:auto;
                             display:inline-block;"/>
                        <p:commandButton  
                            id="btnCerrar"  
                            value="Cerrar"                                          
                            onclick="PF('dgNuevoSubsidioMensual').hide();"
                            update="@(form)"                                            
                            style="display:inline;                                                 
                            font-size:small;"/>                                                                              

                    </div>
                </h:form>                
            </p:outputPanel>            
        </p:dialog>            

        <p:dialog 
            widgetVar="dgEditISRMensual" 
            resizable="false"  
            modal="true" 
            draggable="false"             
            header="Editar ISR Mensual." 
            appendTo="@(body)"
            closable="false"> 

            <p:outputPanel>                
                <h:form id="frEditISRMensual">   
                    <h:panelGrid columns="2" columnClasses="centered5,centered6" cellpadding="5">
                        <p:column>
                            <h:outputLabel 
                                for="inEditLimiteInferior" 
                                style="font-weight: bold;"                                   
                                value="#{translatedMessage['restricted.nomina.admISRSubsidio.limiteInferior']}"/>
                        </p:column>
                        <p:column>
                            <p:inputNumber 
                                id="inEditLimiteInferior" 
                                value="#{administrarISRSubMB.rhNomnCatISRMensualTOSelected.dbLimiteInferior}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                symbol="$"                                            
                                minValue="0.00" 
                                maxValue="9999999999.99" />                                        
                        </p:column>
                        <p:column>

                            <h:outputLabel 
                                for="inEditLimiteSuperior" 
                                style="font-weight: bold"                                   
                                value="#{translatedMessage['restricted.nomina.admISRSubsidio.limiteSuperior']}"/>
                        </p:column>
                        <p:column>
                            <p:inputNumber 
                                id="inEditLimiteSuperior" 
                                value="#{administrarISRSubMB.rhNomnCatISRMensualTOSelected.dbLimiteSuperior}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                symbol="$"                                            
                                minValue="0.00" 
                                maxValue="9999999999.99" />
                        </p:column>
                        <p:column>
                            <h:outputLabel 
                                for="inEditPorcentajeExLimInf" 
                                style="font-weight: bold"                                   
                                value="#{translatedMessage['restricted.nomina.admISRSubsidio.porcentajeExtLimInf']}"/>
                        </p:column>
                        <p:column>
                            <p:inputNumber 
                                id="inEditPorcentajeExLimInf" 
                                value="#{administrarISRSubMB.rhNomnCatISRMensualTOSelected.dbPorcentajeExcdLimInf}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                symbol="%"                                            
                                minValue="0.00" 
                                maxValue="99.99" />                                        
                        </p:column>
                        <p:column>
                            <h:outputLabel 
                                for="inEditCuotaFija" 
                                style="font-weight: bold"                                   
                                value="#{translatedMessage['restricted.nomina.admISRSubsidio.cuotaFija']}"/>
                        </p:column>
                        <p:column>
                            <p:inputNumber 
                                id="inEditCuotaFija" 
                                value="#{administrarISRSubMB.rhNomnCatISRMensualTOSelected.dbCuotaFija}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                symbol="$"                                            
                                minValue="0.00" />
                        </p:column>
                        
                                <p:column>
                            <h:outputLabel 
                                for="inFechaInicioME" 
                                style="font-weight: bold"                                   
                                value="Fecha Inicio: *"/>
                        </p:column>
                        <p:column>
                            <p:calendar
                                id="inFechaInicioME" 
                                value="#{administrarISRSubMB.rhNomnCatISRMensualTOSelected.dtFechaInicio}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                /> 
                        </p:column>
                        
                        <p:column>
                            <h:outputLabel 
                                for="inFechaFinME" 
                                style="font-weight: bold"                                   
                                value="Fecha Fin: *"/>
                        </p:column>
                        <p:column>
                            <p:calendar
                                id="inFechaFinME" 
                                value="#{administrarISRSubMB.rhNomnCatISRMensualTOSelected.dtFechaFin}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                /> 
                        </p:column>
                        
                    </h:panelGrid>

                    <br></br>

                    <div align="right">

                        <p:commandButton 
                            id="btnEditISRMensual"                                         
                            update="formAdministrarISRSub frEditISRMensual"
                            process="@form"                                        
                            actionListener="#{administrarISRSubMB.editarISRMensual(administrarISRSubMB.rhNomnCatISRMensualTOSelected)}"
                            value="Editar ISR Mensual"
                            style="display:inline;                                                 
                            font-size:small;">

                            <p:confirm 
                                header="Confirmación para editar el ISR Mensual." 
                                message="¿Está seguro de EDITAR el ISR MENSUAL?" 
                                icon="ui-icon-alert"/>                                             
                        </p:commandButton>

                        <p:confirmDialog 
                            global="true" 
                            showEffect="fade" 
                            hideEffect="fade">
                            <p:commandButton 
                                value="Si" 
                                type="button" 
                                styleClass="ui-confirmdialog-yes" 
                                icon="ui-icon-check"/>
                            <p:commandButton 
                                value="No" 
                                type="button" 
                                styleClass="ui-confirmdialog-no" 
                                icon="ui-icon-close"/> 
                        </p:confirmDialog>
                        <div style="width:5px;
                             height:auto;
                             display:inline-block;"/>
                        <p:commandButton  
                            id="btnCerrar"  
                            value="Cerrar"                                          
                            onclick="PF('dgEditISRMensual').hide();"
                            update="@(form)"                                            
                            style="display:inline;                                                 
                            font-size:small;"/>                                                                              

                    </div>
                </h:form>                
            </p:outputPanel>            
        </p:dialog>

        <p:dialog 
            widgetVar="dgEditISRAnual" 
            resizable="false"  
            modal="true" 
            draggable="false"             
            header="Editar ISR Anual." 
            appendTo="@(body)"
            closable="false"> 

            <p:outputPanel>                
                <h:form id="frEditISRAnual">   
                    <h:panelGrid columns="2" columnClasses="centered5,centered7" cellpadding="5">
                        <p:column>
                            <h:outputLabel 
                                for="inEditLimiteInferiorAn" 
                                style="font-weight: bold"                                   
                                value="#{translatedMessage['restricted.nomina.admISRSubsidio.limiteInferior']}: "/>
                        </p:column>
                        <p:column>
                            <p:inputNumber 
                                id="inEditLimiteInferiorAn" 
                                value="#{administrarISRSubMB.rhNomnCatISRAnualTOSelected.dbLimiteInferior}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                symbol="$"                                            
                                minValue="0.00" 
                                maxValue="9999999999.99" />                                                                        
                        </p:column>
                        <p:column>
                            <h:outputLabel
                                for="inEditLimiteSuperiorAn" 
                                style="font-weight: bold"                                   
                                value="#{translatedMessage['restricted.nomina.admISRSubsidio.limiteSuperior']}: "/>
                        </p:column>
                        <p:column>
                            <p:inputNumber 
                                id="inEditLimiteSuperiorAn" 
                                value="#{administrarISRSubMB.rhNomnCatISRAnualTOSelected.dbLimiteSuperior}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                symbol="$"                                            
                                minValue="0.00" 
                                maxValue="9999999999.99" />                                        
                        </p:column>
                        <p:column>
                            <h:outputLabel 
                                for="inEditPorcentajeExLimInfAn" 
                                style="font-weight: bold"                                   
                                value="#{translatedMessage['restricted.nomina.admISRSubsidio.porcentajeExtLimInf']}: "/>
                        </p:column>
                        <p:column>
                            <p:inputNumber 
                                id="inEditPorcentajeExLimInfAn" 
                                value="#{administrarISRSubMB.rhNomnCatISRAnualTOSelected.dbPorcentajeExcdLimInf}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                symbol="%"                                            
                                minValue="0.00" 
                                maxValue="99.99" />                                        
                        </p:column>
                        <p:column>
                            <h:outputLabel 
                                for="inEditCuotaFijaAn" 
                                style="font-weight: bold"                                   
                                value="#{translatedMessage['restricted.nomina.admISRSubsidio.cuotaFija']}: "/>
                        </p:column>
                        <p:column>
                            <p:inputNumber 
                                id="inEditCuotaFijaAn" 
                                value="#{administrarISRSubMB.rhNomnCatISRAnualTOSelected.dbCuotaFija}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                symbol="$"                                            
                                minValue="0.00" 
                                maxValue="9999999999.99" />
                        </p:column>

                                 <p:column>
                            <h:outputLabel 
                                for="inFechaInicioAE" 
                                style="font-weight: bold"                                   
                                value="Fecha Inicio: *"/>
                        </p:column>
                        <p:column>
                            <p:calendar
                                id="inFechaInicioAE" 
                                value="#{administrarISRSubMB.rhNomnCatISRAnualTOSelected.dtFechaInicio}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                /> 
                        </p:column>
                        
                        <p:column>
                            <h:outputLabel 
                                for="inFechaFinAE" 
                                style="font-weight: bold"                                   
                                value="Fecha Fin: *"/>
                        </p:column>
                        <p:column>
                            <p:calendar
                                id="inFechaFinAE" 
                                value="#{administrarISRSubMB.rhNomnCatISRAnualTOSelected.dtFechaFin}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                /> 
                        </p:column>
                        
                    </h:panelGrid>

                    <br></br>

                    <div align="right">                       
                        <p:commandButton 
                            id="btnEditISRAnual"                                         
                            update="formAdministrarISRSub frEditISRAnual"
                            process="@form"                                        
                            actionListener="#{administrarISRSubMB.editarISRAnual(administrarISRSubMB.rhNomnCatISRAnualTOSelected)}"
                            value="Editar ISR Anual"
                            style="display:inline;                                                 
                            font-size:small;">

                            <p:confirm 
                                header="Confirmación para editar el ISR Anual." 
                                message="¿Está seguro de EDITAR el ISR ANUAL?" 
                                icon="ui-icon-alert"/>                                             
                        </p:commandButton>

                        <p:confirmDialog 
                            global="true" 
                            showEffect="fade" 
                            hideEffect="fade">
                            <p:commandButton 
                                value="Si" 
                                type="button" 
                                styleClass="ui-confirmdialog-yes" 
                                icon="ui-icon-check"/>
                            <p:commandButton 
                                value="No" 
                                type="button" 
                                styleClass="ui-confirmdialog-no" 
                                icon="ui-icon-close"/> 
                        </p:confirmDialog>
                        <div style="width:5px;
                             height:auto;
                             display:inline-block;"/>
                        <p:commandButton  
                            id="btnCerrar"  
                            value="Cerrar"                                          
                            onclick="PF('dgEditISRAnual').hide();"
                            update="@(form)"                                            
                            style="display:inline;                                                 
                            font-size:small;"/>                                                                              

                    </div>
                </h:form>                
            </p:outputPanel>            
        </p:dialog>            

        <p:dialog 
            widgetVar="dgEditSubsidioMensual" 
            resizable="false"  
            modal="true" 
            draggable="false"             
            header="Editar Subsidio Mensual." 
            appendTo="@(body)"
            closable="false"> 

            <p:outputPanel>                
                <h:form id="frEditSubsidioMensual">   
                    <h:panelGrid columns="2" cellpadding="5" columnClasses="centered5,centered6">
                        <p:column>
                            <h:outputLabel 
                                for="inEditLimiteInferiorSub" 
                                style="font-weight: bold"                                   
                                value="#{translatedMessage['restricted.nomina.admISRSubsidio.limiteInferior']}: "/>
                        </p:column>
                        <p:column>
                            <p:inputNumber 
                                id="inEditLimiteInferiorSub" 
                                value="#{administrarISRSubMB.rhNomnCatSubsidioEmpMensTOSelected.dbLimiteInferior}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                symbol="$"                                            
                                minValue="0.00" 
                                maxValue="9999999999.99" />                                         
                        </p:column>
                        <p:column>
                            <h:outputLabel 
                                for="inEditLimiteSuperiorSub" 
                                style="font-weight: bold"                                   
                                value="#{translatedMessage['restricted.nomina.admISRSubsidio.limiteSuperior']}: "/>
                        </p:column>
                        <p:column>
                            <p:inputNumber 
                                id="inEditLimiteSuperiorSub" 
                                value="#{administrarISRSubMB.rhNomnCatSubsidioEmpMensTOSelected.dbLimiteSuperior}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                symbol="$"                                            
                                minValue="0.00" 
                                maxValue="9999999999.99" />                                         
                        </p:column>
                        <p:column>

                            <h:outputLabel 
                                for="inEditCuotaFijaSub" 
                                style="font-weight: bold"                                   
                                value="#{translatedMessage['restricted.nomina.admISRSubsidio.cuotaFijaSubsidio']}: "/>
                        </p:column>
                        <p:column>
                            <p:inputNumber 
                                id="inEditCuotaFijaSub" 
                                value="#{administrarISRSubMB.rhNomnCatSubsidioEmpMensTOSelected.dbCuotaFija}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                symbol="$"                                            
                                minValue="0.00" 
                                maxValue="9999999999.99" />
                        </p:column>
                        
                                    <p:column>
                            <h:outputLabel 
                                for="inFechaInicioSE" 
                                style="font-weight: bold"                                   
                                value="Fecha Inicio: *"/>
                        </p:column>
                        <p:column>
                            <p:calendar
                                id="inFechaInicioSE" 
                                value="#{administrarISRSubMB.rhNomnCatSubsidioEmpMensTOSelected.dtFechaInicio}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                /> 
                        </p:column>
                        
                        <p:column>
                            <h:outputLabel 
                                for="inFechaFinSE" 
                                style="font-weight: bold"                                   
                                value="Fecha Fin: *"/>
                        </p:column>
                        <p:column>
                            <p:calendar
                                id="inFechaFinSE" 
                                value="#{administrarISRSubMB.rhNomnCatSubsidioEmpMensTOSelected.dtFechaFin}"
                                style="width: 100px; 
                                text-align:right;"                                 
                                /> 
                        </p:column>

                    </h:panelGrid>

                    <br></br>

                    <div align="right">

                        <p:commandButton 
                            id="btnEditSubsidioMensual"                                         
                            update="formAdministrarISRSub frEditSubsidioMensual"
                            process="@form"                                        
                            actionListener="#{administrarISRSubMB.editarSubsidioMensual(administrarISRSubMB.rhNomnCatSubsidioEmpMensTOSelected)}"
                            value="Editar Subsidio Mensual"
                            style="display:inline;                                                 
                            font-size:small;">

                            <p:confirm 
                                header="Confirmación para editar el Subsidio Mensual." 
                                message="¿Está seguro de EDITAR el SUBSIDIO MENSUAL?" 
                                icon="ui-icon-alert"/>                                             
                        </p:commandButton>

                        <p:confirmDialog 
                            global="true" 
                            showEffect="fade" 
                            hideEffect="fade">
                            <p:commandButton 
                                value="Si" 
                                type="button" 
                                styleClass="ui-confirmdialog-yes" 
                                icon="ui-icon-check"/>
                            <p:commandButton 
                                value="No" 
                                type="button" 
                                styleClass="ui-confirmdialog-no" 
                                icon="ui-icon-close"/> 
                        </p:confirmDialog>
                        <div style="width:5px;
                             height:auto;
                             display:inline-block;"/>
                        <p:commandButton  
                            id="btnCerrar"  
                            value="Cerrar"                                          
                            onclick="PF('dgEditSubsidioMensual').hide();"
                            update="@(form)"                                            
                            style="display:inline;                                                 
                            font-size:small;"/>                                                                              

                    </div>
                </h:form>                
            </p:outputPanel>            
        </p:dialog>                        

        <script>
            function darClic() {
                jQuery('[id*=radios]').trigger('click');
            }
            ;

            function nada() {
                console.log("nada");
            }
            ;
        </script>
    </ui:define>
</ui:composition>
